aboutsummaryrefslogtreecommitdiffstats
path: root/main/imlib2
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/imlib2
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/imlib2')
-rw-r--r--main/imlib2/APKBUILD30
-rw-r--r--main/imlib2/bufferoverflow.patch13
2 files changed, 43 insertions, 0 deletions
diff --git a/main/imlib2/APKBUILD b/main/imlib2/APKBUILD
new file mode 100644
index 0000000000..99e48f2e38
--- /dev/null
+++ b/main/imlib2/APKBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=imlib2
+pkgver=1.4.2
+pkgrel=1
+pkgdesc="Library that does image file loading and saving as well as rendering, manipulation, arbitrary polygon support"
+url="http://sourceforge.net/projects/enlightenment/"
+license="BSD"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="tiff-dev giflib-dev bzip2-dev freetype-dev libxext-dev
+ libpng-dev libid3tag-dev jpeg-dev libsm-dev zlib-dev"
+source="http://downloads.sourceforge.net/enlightenment/$pkgname-$pkgver.tar.bz2
+ bufferoverflow.patch"
+
+build ()
+{
+ cd $srcdir/$pkgname-$pkgver
+ patch -Np0 -i $srcdir/bufferoverflow.patch || return 1
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc/imlib2 \
+ --x-libraries=/usr/lib \
+ --disable-mmx \
+ --disable-amd64 \
+ || return 1
+ make || return 1
+ make DESTDIR=$pkgdir install || return 1
+ install -Dm644 COPYING $pkgdir/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="9f15568e76ebda9092c571e0df261f54 imlib2-1.4.2.tar.bz2
+76def1fe0ac2ac1686ff24d29979606f bufferoverflow.patch"
diff --git a/main/imlib2/bufferoverflow.patch b/main/imlib2/bufferoverflow.patch
new file mode 100644
index 0000000000..397b43fb8c
--- /dev/null
+++ b/main/imlib2/bufferoverflow.patch
@@ -0,0 +1,13 @@
+--- src/modules/loaders/loader_xpm.c
++++ src/modules/loaders/loader_xpm.c.new
+@@ -246,8 +246,8 @@
+ return 0;
+ }
+ ptr = im->data;
+- end = ptr + (sizeof(DATA32) * w * h);
+ pixels = w * h;
++ end = ptr + pixels;
+ }
+ else
+ {
+